Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:55 2009

## Asterisk developer's documentation

# yyguts_t Struct Reference

Collaboration diagram for yyguts_t:

[legend]

## Data Fields

YY_BUFFER_STATE * | yy_buffer_stack
size_t | yy_buffer_stack_max
size_t | yy_buffer_stack_top
char * | yy_c_buf_p
int | yy_did_buffer_switch_on_eof
int | yy_flex_debug_r
char | yy_hold_char
int | yy_init
char * | yy_last_accepting_cpos
yy_state_type | yy_last_accepting_state
int | yy_more_flag
int | yy_more_len
int | yy_n_chars
int | yy_start
int * | yy_start_stack
int | yy_start_stack_depth
int | yy_start_stack_ptr
YY_EXTRA_TYPE | yyextra_r
FILE * | yyin_r
int | yyleng_r
int | yylineno_r
YYLTYPE * | yylloc_r
YYSTYPE * | yylval_r
FILE * | yyout_r
char * | yytext_r

## Detailed Description

Definition at line 1320 of file ast_expr2f.c.

## Field Documentation

YY_BUFFER_STATE* yy_buffer_stack

Stack as an array.

Definition at line 1330 of file ast_expr2f.c.

Referenced by ast_yyensure_buffer_stack(), ast_yylex_destroy(), and yy_init_globals().

size_t yy_buffer_stack_max

capacity of stack.

Definition at line 1329 of file ast_expr2f.c.

Referenced by ast_yyensure_buffer_stack(), and yy_init_globals().

size_t yy_buffer_stack_top

index of top of stack.

Definition at line 1328 of file ast_expr2f.c.

Referenced by ast_yyensure_buffer_stack(), ast_yypop_buffer_state(), ast_yypush_buffer_state(), and yy_init_globals().

char* yy_c_buf_p

Definition at line 1334 of file ast_expr2f.c.

Referenced by ast_yypush_buffer_state(), and yy_init_globals().

int yy_did_buffer_switch_on_eof

Definition at line 1337 of file ast_expr2f.c.

Referenced by ast_yypop_buffer_state(), and ast_yypush_buffer_state().

int yy_flex_debug_r

Definition at line 1345 of file ast_expr2f.c.

char yy_hold_char

Definition at line 1331 of file ast_expr2f.c.

Referenced by ast_yypush_buffer_state().

int yy_init

Definition at line 1335 of file ast_expr2f.c.

Referenced by yy_init_globals().

char* yy_last_accepting_cpos

Definition at line 1342 of file ast_expr2f.c.

yy_state_type yy_last_accepting_state

Definition at line 1341 of file ast_expr2f.c.

int yy_more_flag

Definition at line 1348 of file ast_expr2f.c.

int yy_more_len

Definition at line 1349 of file ast_expr2f.c.

int yy_n_chars

Definition at line 1332 of file ast_expr2f.c.

Referenced by ast_yypush_buffer_state().

int yy_start

Definition at line 1336 of file ast_expr2f.c.

Referenced by yy_init_globals().

int* yy_start_stack

Definition at line 1340 of file ast_expr2f.c.

Referenced by ast_yylex_destroy(), and yy_init_globals().

int yy_start_stack_depth

Definition at line 1339 of file ast_expr2f.c.

Referenced by yy_init_globals().

int yy_start_stack_ptr

Definition at line 1338 of file ast_expr2f.c.

Referenced by yy_init_globals().

YY_EXTRA_TYPE yyextra_r

Definition at line 1324 of file ast_expr2f.c.

FILE* yyin_r

Definition at line 1327 of file ast_expr2f.c.

int yyleng_r

Definition at line 1333 of file ast_expr2f.c.

int yylineno_r

Definition at line 1344 of file ast_expr2f.c.

YYLTYPE* yylloc_r

Definition at line 1353 of file ast_expr2f.c.

YYSTYPE* yylval_r

Definition at line 1351 of file ast_expr2f.c.

FILE * yyout_r

Definition at line 1327 of file ast_expr2f.c.

char* yytext_r

Definition at line 1347 of file ast_expr2f.c.

The documentation for this struct was generated from the following file:

- ast_expr2f.c